<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>readDict &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>readDict
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">20 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/generalDictionaries.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/generaldictionaries.f03.html'>generalDictionaries.f03</a></li>
    
     <li><a href='../module/generaldictionaries.html'>generalDictionaries</a></li>
    
  
     <li class="active">readDict</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine readDict(this)
    
    
   
</h2>
    
  


    
    <p>readDict reads a file and fills te dictionary.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E20"></span>class(<a href='../type/generaldict.html'>generalDict</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~readdict~~CallsGraph Pages: 1 -->
<svg id="procreaddictCallsGraph" width="249pt" height="116pt"
 viewBox="0.00 0.00 249.00 116.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~readdict~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 112)">
<title>proc~~readdict~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-112 245,-112 245,4 -4,4"/>
<!-- proc~readdict -->
<g id="proc~~readdict~~CallsGraph_node1" class="node">
<title>proc~readdict</title>
<polygon fill="none" stroke="#000000" points="54,-66 0,-66 0,-42 54,-42 54,-66"/>
<text text-anchor="middle" x="27" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">readDict</text>
</g>
<!-- proc~lowercase -->
<g id="proc~~readdict~~CallsGraph_node2" class="node">
<title>proc~lowercase</title>
<g id="a_proc~~readdict~~CallsGraph_node2"><a xlink:href=".././proc/lowercase.html" xlink:title="lowercase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="151,-108 90,-108 90,-84 151,-84 151,-108"/>
<text text-anchor="middle" x="120.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lowercase</text>
</a>
</g>
</g>
<!-- proc~readdict&#45;&gt;proc~lowercase -->
<g id="proc~~readdict~~CallsGraph_edge1" class="edge">
<title>proc~readdict&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M53.7933,-66.0355C63.3785,-70.3412 74.3416,-75.2658 84.5729,-79.8616"/>
<polygon fill="#000000" stroke="#000000" points="83.1466,-83.0578 93.7027,-83.9627 86.0149,-76.6724 83.1466,-83.0578"/>
</g>
<!-- proc~readline -->
<g id="proc~~readdict~~CallsGraph_node3" class="node">
<title>proc~readline</title>
<g id="a_proc~~readdict~~CallsGraph_node3"><a xlink:href=".././proc/readline.html" xlink:title="readline">
<polygon fill="#d9534f" stroke="#d9534f" points="147.5,-66 93.5,-66 93.5,-42 147.5,-42 147.5,-66"/>
<text text-anchor="middle" x="120.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">readline</text>
</a>
</g>
</g>
<!-- proc~readdict&#45;&gt;proc~readline -->
<g id="proc~~readdict~~CallsGraph_edge2" class="edge">
<title>proc~readdict&#45;&gt;proc~readline</title>
<path fill="none" stroke="#000000" d="M54.0441,-54C63.0746,-54 73.3059,-54 82.9868,-54"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-57.5001 93.1928,-54 83.1927,-50.5001 83.1928,-57.5001"/>
</g>
<!-- proc~split -->
<g id="proc~~readdict~~CallsGraph_node4" class="node">
<title>proc~split</title>
<g id="a_proc~~readdict~~CallsGraph_node4"><a xlink:href=".././proc/split.html" xlink:title="split">
<polygon fill="#d9534f" stroke="#d9534f" points="147.5,-24 93.5,-24 93.5,0 147.5,0 147.5,-24"/>
<text text-anchor="middle" x="120.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">split</text>
</a>
</g>
</g>
<!-- proc~readdict&#45;&gt;proc~split -->
<g id="proc~~readdict~~CallsGraph_edge3" class="edge">
<title>proc~readdict&#45;&gt;proc~split</title>
<path fill="none" stroke="#000000" d="M53.7933,-41.9645C63.3785,-37.6588 74.3416,-32.7342 84.5729,-28.1384"/>
<polygon fill="#000000" stroke="#000000" points="86.0149,-31.3276 93.7027,-24.0373 83.1466,-24.9422 86.0149,-31.3276"/>
</g>
<!-- proc~compact~2 -->
<g id="proc~~readdict~~CallsGraph_node5" class="node">
<title>proc~compact~2</title>
<g id="a_proc~~readdict~~CallsGraph_node5"><a xlink:href=".././proc/compact%7E2.html" xlink:title="compact">
<polygon fill="#d9534f" stroke="#d9534f" points="241,-24 187,-24 187,0 241,0 241,-24"/>
<text text-anchor="middle" x="214" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">compact</text>
</a>
</g>
</g>
<!-- proc~split&#45;&gt;proc~compact~2 -->
<g id="proc~~readdict~~CallsGraph_edge4" class="edge">
<title>proc~split&#45;&gt;proc~compact~2</title>
<path fill="none" stroke="#000000" d="M147.5441,-12C156.5746,-12 166.8059,-12 176.4868,-12"/>
<polygon fill="#000000" stroke="#000000" points="176.6928,-15.5001 186.6928,-12 176.6927,-8.5001 176.6928,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>